Subject: Re: linux-next: manual merge of the vfio tree with the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 2 Oct 2014 08:52:33 +1000

Hi Alex,

On Wed, 01 Oct 2014 11:06:14 -0600 Alex Williamson <[email-masked]> wrote:
>
> On Wed, 2014-10-01 at 13:14 +1000, Stephen Rothwell wrote:
> > 
> > Today's linux-next merge of the vfio tree got a conflict in
> > drivers/pci/msi.c between commits a160fe94cb53 ("PCI/MSI: Remove unused
> > get_cached_msi_msg()") and 18ef822c59f6 ("PCI/MSI: Rename
> > __get_cached_msi_msg() to get_cached_msi_msg()") from the pci tree and
> > commit 3b307ffe3faa ("PCI: Export MSI message relevant functions") from
> > the vfio tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary (no action
> > is required).  And then I added this merge fix patch (I should probably
> > also have added an include of linux/irq.h):
> 
> Thanks for the heads-up and manual merge.  I've reviewed the changes to
> the MSI API that got us into this conflict and I disagree with them.
> I've posted a series to revert a selection of changes currently coming
> in through pci/next that should make for a clean merge should Bjorn come
> to the same conclusion.  If you need to re-apply the fix in the
> meantime, please do include <linux/irq.h> since it generated a build
> failure on arm without it.  Thanks!

Seems Bjorn has removed the conflicting commits from the pci tree.
Thanks.

-- 
Cheers,
Stephen Rothwell                    [email-masked]